{
  "name": "qupaya",
  "version": "0.0.0",
  "license": "MIT",
  "engines": {
    "node": "v14",
    "npm": "v6"
  },
  "scripts": {
    "ng": "nx",
    "postinstall": "node ./decorate-angular-cli.js && ngcc --properties es2015 browser module main || echo 'ngcc error ignored'",
    "nx": "nx",
    "start": "npm run concurrently",
    "preconcurrently": "npx rimraf ./dist/apps/qupaya",
    "concurrently": "concurrently \"npm:watch:build\" \"npx wait-on ./dist/apps/qupaya && npx scully --watch\" -k -n \"  NG  ,SCULLY\" -c \"magenta,green\"",
    "build": "nx build",
    "build:prod": "ng build qupaya --configuration production --skip-nx-cache && npx scully --project qupaya --prod --scanRoutes",
    "watch:build": "npm run build -- --watch",
    "test": "nx test",
    "lint": "nx workspace-lint && nx run-many --target=lint --all --parallel --max-warnings=0 && stylelint \"{apps,libs}/**/*.scss\"",
    "lint:fix": "nx workspace-lint && nx run-many --target=lint --all --parallel --max-warnings=0 --fix && stylelint \"{apps,libs}/**/*.scss\" --fix",
    "e2e": "nx e2e --watch",
    "e2e:ui": "nx e2e --project=ui-e2e --watch",
    "e2e:scully": "nx run qupaya-e2e:scully",
    "e2e:scully:no-serve": "nx run qupaya-e2e:scully-no-serve",
    "storybook": "nx run ui:storybook",
    "affected:apps": "nx affected:apps",
    "affected:libs": "nx affected:libs",
    "affected:build": "nx affected:build",
    "affected:e2e": "nx affected:e2e",
    "affected:test": "nx affected:test --base=develop --parallel --maxParallel=10",
    "affected:lint": "nx affected:lint",
    "affected:dep-graph": "nx affected:dep-graph",
    "affected": "nx affected",
    "format": "nx format:write",
    "format:write": "nx format:write",
    "format:check": "nx format:check",
    "update": "nx migrate latest",
    "ncu": "npx npm-check-updates",
    "workspace-generator": "nx workspace-generator",
    "dep-graph": "nx dep-graph",
    "help": "nx help",
    "scully": "scully",
    "watch:scully": "scully killServer && scully --watch",
    "scully:serve": "scully killServer && scully serve",
    "prepare": "husky install"
  },
  "private": true,
  "dependencies": {
    "@angular/animations": "12.2.13",
    "@angular/common": "12.2.13",
    "@angular/compiler": "12.2.13",
    "@angular/core": "12.2.13",
    "@angular/forms": "12.2.13",
    "@angular/platform-browser": "12.2.13",
    "@angular/platform-browser-dynamic": "12.2.13",
    "@angular/router": "12.2.13",
    "@mdi/js": "^5.9.55",
    "@nrwl/angular": "13.1.3",
    "@nrwl/nx-cloud": "12.5.2",
    "@scullyio/init": "^2.0.1",
    "@scullyio/ng-lib": "^2.0.0",
    "@scullyio/scully": "^2.0.1",
    "@tailwindcss/typography": "^0.4.1",
    "angular-svg-icon": "^11.2.0",
    "prismjs": "^1.23.0",
    "rxjs": "^6.6.7",
    "tailwindcss-textshadow": "^2.1.3",
    "tslib": "^2.0.0",
    "zone.js": "0.11.4"
  },
  "devDependencies": {
    "@angular-devkit/architect": "0.1200.0",
    "@angular-devkit/build-angular": "12.2.13",
    "@angular-eslint/eslint-plugin": "12.3.1",
    "@angular-eslint/eslint-plugin-template": "12.3.1",
    "@angular-eslint/template-parser": "12.3.1",
    "@angular/cli": "12.2.13",
    "@angular/compiler-cli": "12.2.13",
    "@angular/language-service": "12.2.13",
    "@commitlint/cli": "^14.1.0",
    "@commitlint/config-angular": "^14.1.0",
    "@nrwl/cli": "13.1.3",
    "@nrwl/cypress": "13.1.3",
    "@nrwl/devkit": "13.1.3",
    "@nrwl/eslint-plugin-nx": "13.1.3",
    "@nrwl/jest": "13.1.3",
    "@nrwl/linter": "13.1.3",
    "@nrwl/storybook": "13.1.3",
    "@nrwl/tao": "13.1.3",
    "@nrwl/workspace": "13.1.3",
    "@scullyio/scully-plugin-flash-prevention": "^2.0.0",
    "@storybook/addon-essentials": "~6.3.0",
    "@storybook/angular": "~6.3.0",
    "@storybook/builder-webpack5": "~6.3.0",
    "@storybook/manager-webpack5": "~6.3.0",
    "@testing-library/angular": "^10.11.0",
    "@testing-library/cypress": "^8.0.1",
    "@testing-library/jest-dom": "^5.15.0",
    "@testing-library/user-event": "^13.5.0",
    "@types/jest": "27.0.2",
    "@types/jsdom": "^16.2.13",
    "@types/node": "14.14.41",
    "@types/prismjs": "^1.16.5",
    "@types/sharp": "^0.28.1",
    "@types/webpack": "5.28.0",
    "@typescript-eslint/eslint-plugin": "~4.33.0",
    "@typescript-eslint/parser": "~4.33.0",
    "concurrently": "^6.3.0",
    "cross-env": "7.0.3",
    "cypress": "^8.7.0",
    "eslint": "7.24.0",
    "eslint-config-prettier": "8.2.0",
    "eslint-plugin-cypress": "^2.11.2",
    "eslint-plugin-jest": "^24.3.5",
    "eslint-plugin-unused-imports": "^1.1.1",
    "husky": "^7.0.4",
    "jest": "27.2.3",
    "jest-junit": "^12.0.0",
    "jest-preset-angular": "10.0.1",
    "lint-staged": "^11.2.6",
    "ng-mockito": "^1.3.3",
    "ng-packagr": "12.2.5",
    "postcss": "^8.2.15",
    "postcss-import": "^14.0.2",
    "postcss-preset-env": "^6.7.0",
    "postcss-url": "^10.1.1",
    "prettier": "2.4.1",
    "sharp": "^0.28.2",
    "stylelint": "^14.0.1",
    "stylelint-config-sass-guidelines": "^9.0.1",
    "tailwindcss": "^2.2.19",
    "ts-jest": "27.0.5",
    "ts-mockito": "^2.6.1",
    "ts-node": "~9.1.1",
    "tslint": "~6.1.0",
    "typescript": "4.3.5"
  }
}
